Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cactus.internal.server
Class JspTestCaller

    java.lang.Object
      org.apache.cactus.internal.server.AbstractWebTestCaller
          org.apache.cactus.internal.server.ServletTestCaller
              org.apache.cactus.internal.server.JspTestCaller

public class JspTestCaller
extends ServletTestCaller

Call the test method on the server side after assigning the JSP implicit objects using reflection.

Version:
  $Id: JspTestCaller.java 238991 2004-05-22 11:34:50Z vmassol $

Field Summary

Fields inherited from class org.apache.cactus.internal.server.AbstractWebTestCaller
`TEST_RESULTS, webImplicitObjects`

Constructor Summary
`JspTestCaller(JspImplicitObjects theObjects)`

Method Summary
`protected java.io.Writer` | `getResponseWriter()`
`protected void` | `setTestCaseFields(junit.framework.TestCase theTestInstance)` Sets the implicit object in the test case class

Methods inherited from class org.apache.cactus.internal.server.AbstractWebTestCaller
`doCreateSession, doGetResults, doGetVersion, doRunTest, doTest, getTestClassClass, getTestClassInstance, getTestClassName, getTestMethodName, getWrappedTestClassName, isAutoSession`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JspTestCaller

    public JspTestCaller(JspImplicitObjects theObjects)

Parameters:
  `theObjects` - the implicit objects coming from the redirector

Method Detail

### setTestCaseFields

    protected void setTestCaseFields(junit.framework.TestCase theTestInstance)
                              throws java.lang.Exception

  Description copied from class: `AbstractWebTestCaller`
  Sets the implicit object in the test case class

  Overrides:
    `setTestCaseFields` in class `ServletTestCaller`
  Throws:
    `java.lang.Exception`
  See Also:
    `AbstractWebTestCaller.setTestCaseFields(TestCase)`

### getResponseWriter

    protected java.io.Writer getResponseWriter()
                                        throws java.io.IOException

  Overrides:
    `getResponseWriter` in class `ServletTestCaller`
  Throws:
    `java.io.IOException`
  See Also:
    `AbstractWebTestCaller.getResponseWriter()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2004 Apache Software Foundation. All Rights Reserved.